

cp -f /home/chaoli/beegfsChao/petra4/BeamLoadingSim/ILMatrixTracking2022-10-03/MCRFMODE/200mA/200mA.rfmc ./
cp /home/chaoli/beegfsChao/CETASIM/TBTBunchAverData.sdds ./CETASIMResult.sdds

#sddsprocess 200mA.rfmc -redefine=col,%s,"%s 0 > ? pop 2 pi * - : pop $ ",units=rad,select=Phase* -nowarnings

sddsplot -layout=2,4 -xLabel="bunchIndex" -yLabel="arg(Vb)"  -scale=0,0,2.4,3.1 \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,0,0 -string="turn=0",x=120,y=3  \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=1 -topage=1 -end \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,100,100 -string="turn=100",x=120,y=3   \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=2 -topage=2 -end \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,200,200 -string="turn=200",x=120,y=3   \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=3 -topage=3 -end \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,300,300 -string="turn=300",x=120,y=3   \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=4 -topage=4 -end \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,400,400  -string="turn=400",x=120,y=3   \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=5 -topage=5 -end \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,500,500 -string="turn=500",x=120,y=3   \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=6 -topage=6 -end \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,600,600  -string="turn=600",x=120,y=3   \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=7 -topage=7 -end \
        -col=Bunch,Phase                    200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,700,700  -string="turn=700",x=120,y=3   \
        -col=BunchIndex,beamIndPhase_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=8 -topage=8 -end \
        -device=lpng  -output="argV.png"                

             

sddsplot -layout=2,4 -xLabel="bunchIndex" -yLabel="abs(Vb)" -scale=0,0,2e+6,6e+6 \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,0,0 -string="turn=0",x=120,y=5e+6  \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=1 -topage=1 -end \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,100,100 -string="turn=100",x=120,y=5e+6   \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=2 -topage=2 -end \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,200,200 -string="turn=200",x=120,y=5e+6   \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=3 -topage=3 -end \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,300,300 -string="turn=300",x=120,y=5e+6   \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=4 -topage=4 -end \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,400,400  -string="turn=400",x=120,y=5e+6   \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=5 -topage=5 -end \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,500,500 -string="turn=500",x=120,y=5e+6   \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=6 -topage=6 -end \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,600,600  -string="turn=600",x=120,y=5e+6   \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=7 -topage=7 -end \
        -col=Bunch,V                      200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,700,700  -string="turn=700",x=120,y=5e+6   \
        -col=BunchIndex,beamIndAmp_0      CETASIMResult.sdds     -graph=l,type=2,thickness=2 -leg=specified="CETASim"  -frompage=8 -topage=8 -end \
        -device=lpng  -output="absV.png" 




sddsplot -layout=2,4 -xLabel="bunchIndex" -yLabel="arg(GenV)" -scale=0,0,0.3,0.9 \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,0,0     -string="turn=0",x=120,y=0.8   -end  \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,100,100 -string="turn=100",x=120,y=0.8 -end  \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,200,200 -string="turn=200",x=120,y=0.8 -end  \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,300,300 -string="turn=300",x=120,y=0.8  -end \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,400,400  -string="turn=400",x=120,y=0.8 -end  \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,500,500 -string="turn=500",x=120,y=0.8  -end \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,600,600  -string="turn=600",x=120,y=0.8  -end \
        -col=Bunch,PhaseGenerator            200mA.rfmc             -graph=l,type=1,thickness=2 -leg=specified="Elegant"  -filter=col,Pass,700,700  -string="turn=700",x=120,y=0.8  -end \
        -device=lpng  -output="absVGen.png" 







<<'comment'
         
comment
